%define upstream_name       HTML-WikiConverter-MediaWiki
%define upstream_version    0.59

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Convert HTML to MediaWiki markup
Url:        https://metacpan.org/release/%{upstream_name}
Source:     https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     https://anonscm.debian.org/cgit/pkg-perl/packages/libhtml-wikiconverter-mediawiki-perl.git/plain/debian/patches/unescaped_left_brace.patch
BuildRequires: perl(HTML::WikiConverter)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildArch: noarch


%description
This module contains rules for converting HTML into MediaWiki markup. See
the HTML::WikiConverter manpage for additional usage details.





%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.590.0-12.mga10
+ Revision: 2211784
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.590.0-11.mga9
+ Revision: 1830125
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.590.0-10.mga8
+ Revision: 1504664
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.590.0-9.mga7
+ Revision: 1283982
- Mageia 7 Mass Rebuild

* Mon Oct 09 2017 tv <tv> 0.590.0-8.mga7
+ Revision: 1170381
- patch 0: fix "Unescaped left brace in regex is deprecated, passed through in regex"

* Sun Jun 19 2016 pterjan <pterjan> 0.590.0-7.mga6
+ Revision: 1028426
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.590.0-6.mga6
+ Revision: 946215
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.590.0-5.mga5
+ Revision: 739260
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.590.0-4.mga5
+ Revision: 684991
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.590.0-3.mga4
+ Revision: 512090
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.590.0-2.mga3
+ Revision: 368254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 jquelin <jquelin> 0.590.0-1.mga1
+ Revision: 42853
- mageia rebuild
- imported package perl-HTML-WikiConverter-MediaWiki


* Mon Dec 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.590.0-1mdv2011.0
+ Revision: 612364
- normalize perl version

* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.59-1mdv2011.0
+ Revision: 606981
- import perl-HTML-WikiConverter-MediaWiki

